Eclipse Platform Release 3.7

## org.eclipse.help
Interface IInclude

All Superinterfaces:
  IUAElement

    public interface IInclude

extends IUAElement

A directive indicating the content at the given path should be included in this document, and replace this node.

Since:
  3.3

Method Summary
`String` `getPath()` An href pointing to a document element.

Methods inherited from interface org.eclipse.help.IUAElement
`getChildren, isEnabled`

Method Detail

### getPath

    String getPath()

  An href pointing to a document element. The href has the form `/plugin_id/path/file.ext#anchorId`. For example, to include the element with id `myId` in the XML file `files/myFile.xml` under plug-in `my.plugin`, the path is `/my.plugin/files/myFile.xml#myId`.

  Returns:
    the path of the element to include

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.